package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TUserInspect;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author zehong
 * @date 2023-11-08
 */
public interface ITUserInspectService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TUserInspect selectTUserInspectById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TUserInspect> selectTUserInspectList(TUserInspect tUserInspect);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 结果
     */
    public int insertTUserInspect(TUserInspect tUserInspect);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tUserInspect 【请填写功能名称】
     * @return 结果
     */
    public int updateTUserInspect(TUserInspect tUserInspect);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTUserInspectByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTUserInspectById(Long id);
}
